Update package settings

Base URL
https://{kibana_url}
Auth

Update settings for a specific version of a package.

Required privileges

Privileges integrations-all and fleet-agent-policies-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

pkgName string · min length: 0 required

Package name

pkgVersion string optional

Package version

Leave it out to use /api/fleet/epm/packages/{pkgName}.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

keepPoliciesUpToDate boolean
namespace_customization_enabled_for string[] · max items: 100

Namespaces for which namespace-level customization is enabled on this package.

namespace_customization_settings map string to object

Per-namespace managed settings (for example, ILM policy) for this package. Keyed by namespace name.

Responses

Successful response

application/json
item object required
assets map string to object required
categories string[] · max items: 100
data_streams string to object[] · max items: 1000
description string
download string
elasticsearch map string to object
format_version string
internal boolean
keepPoliciesUpToDate boolean
latestVersion string
license string
licensePath string
name string required
notice string
path string
policy_templates string to object[] · max items: 1000
readme string
release enum
Values: ga beta experimental
signature_path string
status string
title string required
type union enum | string
Values: integration input content
vars string to object[] · max items: 1000
version string required
Base URL
https://{kibana_url}